com.creamtec.ajaxswing.core

## Interface ClientAgentRemote

- All Superinterfaces:
    java.rmi.Remote
  All Known Implementing Classes:
    ClientAgent, ClientAgentImpl, ClientAgentImpl_Stub, HTMLClientAgent, ServletHelper.InProcessClientAgent

      public interface ClientAgentRemote
      extends java.rmi.Remote

  Remote interface, through which a ClientAgent can be accessed via RMI

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `denyDownload(java.io.File file)` Remove download file from session by File
    `void` | `denyDownload(java.lang.String downloadFileName)` Remove download file from session by name
    `java.lang.String` | `getBrowserLocale()`
    `java.lang.String` | `getCsrfToken()`
    `java.lang.String` | `getExitPage()`
    `double` | `getFontCalibrationData(java.lang.String fontName, int fontSize, boolean isCapital)`
    `AjaxSwingProperties` | `getProps()`
    `long` | `getSessionTimeout()`
    `java.util.List` | `getTempFiles()`
    `java.util.Locale` | `getUserLocale()`
    `void` | `init(AgentInitData data, HttpRequestData requestData)` Initializes the client
    `boolean` | `isDownloadAllowed(java.lang.String downloadFileName)` Returns true if the download of the given file name is allowed
    `void` | `ping()` Renews a lease on the agent.
    `HttpResponseData` | `processHttpRequest(HttpRequestData request)` Processes HTTP request
    `void` | `removeDownloadFileName(java.lang.String filename)` Remove download file from map where we wait files for download while them doesn't ready
    `HttpResponseData` | `renderWindows(HttpRequestData request)` Renderes the currently focused window as HTML
    `void` | `runApp(boolean wait)` Runs the application/applet.
    `void` | `setBrowserLocale(java.lang.String browserLocale)`
    `void` | `setExitPage(java.lang.String pageName)`
    `void` | `setFontCalibrationData(java.lang.String allCalibrationData)`
    `void` | `setSessionTimeout(long seconds)`
    `void` | `setShouldChangeSessionId(boolean shouldChangeSessionId)`
    `void` | `setUserLocale(java.util.Locale currentLocale)`
    `boolean` | `shouldChangeSessionId()`
    `void` | `shutdown()` Terminates the client JVM

- - ### Method Detail

    - #### init

          void init(AgentInitData data,
                  HttpRequestData requestData)
                    throws java.lang.Exception,
                           java.rmi.RemoteException

      Initializes the client
      Throws:
        `java.lang.Exception`
        `java.rmi.RemoteException`

    - #### shutdown

          void shutdown()
                        throws java.rmi.RemoteException

      Terminates the client JVM
      Throws:
        `java.rmi.RemoteException`

    - #### isDownloadAllowed

          boolean isDownloadAllowed(java.lang.String downloadFileName)
                                    throws java.rmi.RemoteException

      Returns true if the download of the given file name is allowed
      Throws:
        `java.rmi.RemoteException`

    - #### denyDownload

          void denyDownload(java.lang.String downloadFileName)
                            throws java.rmi.RemoteException

      Remove download file from session by name
      Throws:
        `java.rmi.RemoteException`

    - #### denyDownload

          void denyDownload(java.io.File file)
                            throws java.rmi.RemoteException

      Remove download file from session by File
      Throws:
        `java.rmi.RemoteException`

    - #### removeDownloadFileName

          void removeDownloadFileName(java.lang.String filename)
                                      throws java.rmi.RemoteException

      Remove download file from map where we wait files for download while them doesn't ready
      Throws:
        `java.rmi.RemoteException`

    - #### runApp

          void runApp(boolean wait)
                      throws AjaxSwingException,
                             java.rmi.RemoteException

      Runs the application/applet. Can be used to preload app classes
      Throws:
        `AjaxSwingException`
        `java.rmi.RemoteException`

    - #### processHttpRequest

          HttpResponseData processHttpRequest(HttpRequestData request)
                                              throws java.lang.Exception,
                                                     java.rmi.RemoteException

      Processes HTTP request
      Returns:
        HTTP response, containing HTML page to be displayed
      Throws:
        `java.lang.Exception`
        `java.rmi.RemoteException`

    - #### renderWindows

          HttpResponseData renderWindows(HttpRequestData request)
                                         throws java.lang.Exception,
                                                java.rmi.RemoteException

      Renderes the currently focused window as HTML
      Returns:
        HTTP response, containing HTML page to be displayed
      Throws:
        `java.lang.Exception`
        `java.rmi.RemoteException`

    - #### ping

          void ping()
                    throws java.lang.Exception,
                           java.rmi.RemoteException

      Renews a lease on the agent. Used to keep warmedUp JVM running
      Throws:
        `java.lang.Exception`
        `java.rmi.RemoteException`

    - #### setSessionTimeout

          void setSessionTimeout(long seconds)
                                 throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getSessionTimeout

          long getSessionTimeout()
                                 throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### setExitPage

          void setExitPage(java.lang.String pageName)
                           throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getExitPage

          java.lang.String getExitPage()
                                       throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getTempFiles

          java.util.List getTempFiles()
                                      throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getCsrfToken

          java.lang.String getCsrfToken()
                                        throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getUserLocale

          java.util.Locale getUserLocale()
                                         throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### setUserLocale

          void setUserLocale(java.util.Locale currentLocale)
                             throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getProps

          AjaxSwingProperties getProps()
                                       throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getBrowserLocale

          java.lang.String getBrowserLocale()
                                            throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### setBrowserLocale

          void setBrowserLocale(java.lang.String browserLocale)
                                throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### setFontCalibrationData

          void setFontCalibrationData(java.lang.String allCalibrationData)
                                      throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getFontCalibrationData

          double getFontCalibrationData(java.lang.String fontName,
                                      int fontSize,
                                      boolean isCapital)
                                        throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### shouldChangeSessionId

          boolean shouldChangeSessionId()
                                        throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### setShouldChangeSessionId

          void setShouldChangeSessionId(boolean shouldChangeSessionId)
                                        throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.